import numpy as np
from sklearn.model_selection import train_test_split
import matplotlib.pyplot as plt


D = np.loadtxt( "datos.txt" )
print( D.shape )

# Separamos los datos en datos de entrenamiento
# y datos de prueba
#
X = D[:,0].reshape(-1,1)

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, D[:,1], random_state=2 )


# El modelo es una línea recta
# [xi 1] [a1] = [yi]
#        [a0]

fig, ax = plt.subplots( )

ax.scatter( X_entrena, y_entrena, c='blue' )
ax.scatter( X_prueba, y_prueba, c='red' )

vx = np.linspace( 0, 2*np.pi, 10 )
vy = -0.26455976 * vx + 1.0400773720354655

ax.plot( vx, vy )

plt.show( )

